Blockdaemon REST API - Currencies and Tokens
The Blockdaemon API Suite
The Blockdaemon API Suite gives you access to multiple blockchain assets across protocols. You can get asset information by querying Balances & UTXO and Transactions.
Asset Path
The table below lists all available currencies and tokens, with Path for asset-specific filtering.
| Protocol | Asset | Path |
|---|---|---|
| Algorand | ALGO | algorand/native/algo |
| Algorand | other assets | algorand/asset/{id} |
| Avalanche | AVAX | avalanche/native/avax |
| Avalanche | ERC-20 tokens | avalanche/c/contract/{contract_hash}/erc-20 |
| Avalanche | ERC-721 tokens | avalanche/c/contract/{contract_hash}/erc-721 |
| Bitcoin | BTC | bitcoin/native/btc |
| Bitcoin Cash | BCH | bitcoincash/native/bch |
| Dogecoin | DOGE | dogecoin/native/doge |
| Ethereum | ETH | ethereum/native/eth |
| Ethereum | ERC-20 tokens | ethereum/contract/{contract_hash}/erc-20 |
| Ethereum | ERC-721 tokens | ethereum/contract/{contract_hash}/erc-721 |
| Litecoin | LTC | litecoin/native/ltc |
| NEAR | NEAR | near/native/near |
| Optimism | OP | optimism/native/op |
| Optimism | ETH | ethereum/native/eth |
| Optimism | ERC-20 tokens | ethereum/contract/{contract_hash}/erc-20 |
| Polkadot | DOT | polkadot/native/dot |
| Polygon | POL | polygon/native/pol |
| Polygon | ERC-20 tokens | ethereum/contract/{contract_hash}/erc-20 |
| Polygon | ERC-721 tokens | ethereum/contract/{contract_hash}/erc-721 |
| Solana | SOL | solana/native/sol |
| Solana | SPL tokens | solana/mint/{pub_key} |
| Stellar | XLM | stellar/native/xlm |
| Stellar | other assets | stellar/credit_alphanum4/{code} stellar/credit_alphanum12/{code} |
| Tezos | XTZ | tezos/native/xtz |
| XRP | XRP | ripple/native/xrp |
Filtering by Asset
Some endpoints let you filter results based on specific assets. To do this, you’ll use the assets query parameter with an asset path or a list of paths separated by commas. The path you need depends on the protocol you’re working with.
For native asset, the path structure is as follows:
{protocol}/native/{symbol}
Supported Protocols
Filtering by asset is only applicable for some endpoints as listed below.
| Endpoints | Protocols | |
|---|---|---|
| Balances | POST /accounts GET /account/{address} |
Algorand Avalanche Bitcoin Cash Ethereum Litecoin Optimism Polygon Polkadot Solana |
| Transactions | GET /account/{address}/txs GET /txs |
Algorand Avalanche Ethereum |
Algorand Example
Asset Paths
- Native Asset (ALGO):
algorand/native/algo - Other Asset: Identified by numeric ID
algorand/asset/{id}
Supported Assets
| Name | Symbol | ID |
|---|---|---|
| AKITA INU | AKTA | 523683256 |
| goBTC | goBTC | 386192725 |
| goETH | goETH | 386195940 |
| Planets | PLANET | 27165954 |
| STBL | STBL | 465865291 |
| USDC Coin | USDC | 25077 |
| Yieldly | YLDY | 226701642 |
| Christmas Space Monkey #241 | S-MONKEY | 477682918 |
| Hippie Space Monkey #318 | S-MONKEY | 617226333 |
For example, to get USDC balances for a given Algorand Mainnet address, use the assets parameter with algorand/asset/25077.
svc.blockdaemon.com/universal/v1/algorand/mainnet/account/QA75IQ76F6H2T55G65BY7BPLF5QNWSLT5XGI62COZSYB4ZQ3MSKI3EQ25A?assets=algorand/native/algo,algorand/asset/25077
Avalanche Example
Asset Paths
- Native Asset (AVAX):
avalanche/native/avax - Other Asset: Identified by contract hash
avalanche/c/contract/{contract_hash}/erc-20
Supported Assets
| Token Name | Contract Hash | Symbol |
|---|---|---|
| Wrapped BTC | 0x0555E30da8f98308EdB960aa94C0Db47230d2B9c | WBTC |
| Wrapped AVAX | 0xB31f66AA3C1e785363F0875A1B74E27b85FD66c7 | WAVAX |
| TrueUSD | 0x1C20E891Bab6b1727d14Da358FAe2984Ed9B59EB | TUSD |
| Sushi token | 0x39cf1BD5f15fb22eC3D9Ff86b0727aFc203427cc | SUSHI |
| Pangolin | 0x60781C2586D68229fde47564546784ab3fACA982 | PNG |
For example, to get WAVAX balances for a given Avalanche Mainnet address, use the assets parameter with avalanche/c/contract/0xB31f66AA3C1e785363F0875A1B74E27b85FD66c7/erc-20.
https://svc.blockdaemon.com/universal/v1/avalanche/mainnet/accounts/?assets=avalanche/c/contract/0xB31f66AA3C1e785363F0875A1B74E27b85FD66c7/erc-20
Ethereum Example
Asset Paths
- Native Asset (ETH):
ethereum/native/eth - Other Asset: Identified by contract hash
ethereum/contract/{contract_hash}/erc-20
Supported Assets
| Token Name | Contract Hash | Symbol |
|---|---|---|
| ApeCoin | 0x4d224452801aced8b2f0aebe155379bb5d594381 | APE |
| Chainlink Token | 0x514910771af9ca656af840dff83e8264ecf986ca | LINK |
| Dai Stablecoin | 0x6b175474e89094c44da98b954eedeac495271d0f | DAI |
| POL Token | 0x7d1afa7b718fb893db30a3abc0cfc608aacfebb0 | POL |
| Tether USD | 0xdac17f958d2ee523a2206206994597c13d831ec7 | USDT |
| SHIBA INU | 0x95ad61b0a150d79219dcf64e1e6cc01f0b64c4ce | SHIB |
| USD Coin | 0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48 | USDC |
| Wrapped BTC | 0x2260fac5e5542a773aa44fbcfedf7c193bc2c599 | WBTC |
For example, to get USDT balances for a given Ethereum Mainnet address, use the assets parameter with ethereum/contract/0xdac17f958d2ee523a2206206994597c13d831ec7/erc-20.
svc.blockdaemon.com/universal/v1/ethereum/mainnet/account/0x3cd751e6b0078be393132286c442345e5dc49699?assets=ethereum/native/eth,ethereum/contract/0xdac17f958d2ee523a2206206994597c13d831ec7/erc-20
Solana Example
Asset Paths
- Native Asset (SOL):
solana/native/sol - Other Asset: Identified by pubkey
solana/mint/{pub_key}
Supported Assets
| Name | Symbol | Pubkey |
|---|---|---|
| Mango | MNGO | MangoCzJ36AjZyKwVj3VnYU4GTonjfVEnJmvvWaxLac |
| Plutonian DAO | PLD | 2cJgFtnqjaoiu9fKVX3fny4Z4pRzuaqfJ3PBTMk2D9ur |
| Raydium | RAY | 4k3Dyjzvzp8eMZWUXbBCjEvwSkkk59S5iCNLY3QrkX6R |
| Republic Credits | RPC | EAefyXw6E8sny1cX3LTH6RSvtzH6E5EFy1XsE2AiH1f3 |
| Serum | SRM | SRMuApVNdxXokk5GT7XD5cUUgXMBCoAz2LHeuAoKWRt |
For example, to get PLD balances for a given Solana Mainnet address, use the assets parameter with solana/mint/2cJgFtnqjaoiu9fKVX3fny4Z4pRzuaqfJ3PBTMk2D9ur.
svc.blockdaemon.com/universal/v1/solana/mainnet/account/BkJfuow72HkBGZMNGJQDwiPYmjvyu9DsgWxaFBVP5o2X?assets=solana/native/sol,solana/mint/2cJgFtnqjaoiu9fKVX3fny4Z4pRzuaqfJ3PBTMk2D9ur
Stellar Example
Asset Paths
- Native Asset (XLM):
stellar/native/xlm - Other Asset:
stellar/credit_alphanum4/{code}orstellar/credit_alphanum12/{code}
Supported Assets
| Name | Symbol | Type | Code |
|---|---|---|---|
| Aqua | AQUA | credit_alphanum4 | aqua |
| Ixinium | XXA | credit_alphanum4 | xxa |
| Mobius | MOBI | credit_alphanum4 | mobi |
| Tether USD | USDT | credit_alphanum4 | usdt |
| yXLM | yXLM | credit_alphanum4 | yxlm |
| Bitcoin Lightning | BTCLN | credit_alphanum12 | btcln |
| Polygon | POL | credit_alphanum12 | pol |
| yUSDC | yUSDC | credit_alphanum12 | yusdc |
For example, to get POL balances for a given Stellar Mainnet address, use the assets parameter with stellar/credit_alphanum12/pol.
svc.blockdaemon.com/universal/v1/stellar/mainnet/account/GBIBSQ36BXMS2N6HIFLWGU3K2G7XJZIWI2R4GEBCJAOWIELJBRXVFH5J?assets=stellar/native/xlm,stellar/credit_alphanum12/pol